> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Step 5: Combine Filters in a Stats Query

Now that you have all the necessary filters—question, waves, location, and gender splitter -- you
can construct your **Stats Query** to retrieve the data.

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://api.globalwebindex.com/v2/query/stats" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -d '{
      "question": "q42011",
      "waves": ["q4_2023", "q1_2024", "q2_2024", "q3_2024", "q4_2024"],
      "locations": ["s2_49"],
      "splitter": "q2",
      "segments": ["q2_1"]
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
  	"meta": {
  		"type": "DATAPOINTS-SEGMENTS",
  		"question": "q42011",
  		"splitter": "q2"
  	},
  	"data": [
  		{
  			"datapoint": "q42011a_3",
  			"waves": [
  				"q1_2024",
  				"q2_2024",
  				"q3_2024",
  				"q4_2023",
  				"q4_2024"
  			],
  			"metrics": {
  				"positive_sample": 14509,
  				"positive_size": 14656980,
  				"audience_sample": 25226,
  				"audience_size": 25411761,
  				"audience_percentage": 57.7,
  				"audience_index": 96,
  				"datapoint_sample": 31181,
  				"datapoint_size": 30080227,
  				"datapoint_percentage": 48.7
  			},
  			"suffixes": [
  				1,
  				2,
  				3,
  				4
  			],
  			"segment": "q2_1"
  		},
      ...
    ]
  }
  ```
</ResponseExample>
